        .seg    ".text"
        .global &mFNAME
        .type   &mFNAME,#function
	.align 		4
&mFNAME:
	save    %sp,-0x60,%sp
1:
	call	2f
	sethi	%hi(_GLOBAL_OFFSET_TABLE_ + (. - 1b)), %l1
2:
	or	%l1,%lo(_GLOBAL_OFFSET_TABLE_ + (. - 1b)),%l1
	add	%o7,%l1,%l7
	sethi   %hi(&mFNAM2),%l0
	or      %l0,%lo(&mFNAM2),%l0
	ld    [%l7+%l0],%l0
	jmp     %l0
	restore 
